package cn.com.qmth.stmms.common.enums;

/**
 * 三评情况下的合分策略
 * 
 */
public enum ThirdPolicy {
    DISABLE("关闭", 1), 
    LOW_DIFF_HIGH_AVG("低差值高均分", 2);

    private String name;

    private int value;

    private ThirdPolicy(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static ThirdPolicy findByValue(int value) {
        for (ThirdPolicy c : ThirdPolicy.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
